Package org.eclipse.birt.chart.datafeed

# Interface IDataPointDefinition

All Known Implementing Classes:
  `AbstractDataPointDefinition`

public interface IDataPointDefinition
A datapoint definition is responsible for defining the data types of a datapoint entry and the display text.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCompatibleDataType(String type)`
Check if data type of specified component type is any.
`String[]`
`getDataPointTypes()`
Creates and returns a data types array.
`String`
`getDisplayText(String type)`
Returns the externalized text for display

## Method Details

### getDataPointTypes

String[] getDataPointTypes()
Creates and returns a data types array.

Returns:
  data types

### getDisplayText

String getDisplayText(String type)
Returns the externalized text for display

Parameters:
  `type` - data type
Returns:
  display text

### getCompatibleDataType

int getCompatibleDataType(String type)
Check if data type of specified component type is any.

Parameters:
  `type` - component type
Returns:
  the compatible data types, it's a combination of (IConstants.NUMERICAL, IConstants.TEXT and IConstants.DATE_TIME).